clang-tools 10.0.0

Namespaces | Macros | Functions
ParsedAST.cpp File Reference
`#include "ParsedAST.h"`
`#include "../clang-tidy/ClangTidyDiagnosticConsumer.h"`
`#include "../clang-tidy/ClangTidyModuleRegistry.h"`
`#include "AST.h"`
`#include "Compiler.h"`
`#include "Diagnostics.h"`
`#include "Headers.h"`
`#include "IncludeFixer.h"`
`#include "Logger.h"`
`#include "SourceCode.h"`
`#include "Trace.h"`
`#include "index/CanonicalIncludes.h"`
`#include "index/Index.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Basic/TokenKinds.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Frontend/Utils.h"`
`#include "clang/Index/IndexDataConsumer.h"`
`#include "clang/Index/IndexingAction.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Lex/MacroInfo.h"`
`#include "clang/Lex/PPCallbacks.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Lex/PreprocessorOptions.h"`
`#include "clang/Sema/Sema.h"`
`#include "clang/Serialization/ASTWriter.h"`
`#include "clang/Serialization/PCHContainerOperations.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "clang/Tooling/Syntax/Tokens.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
`#include <memory>`
`#include "../clang-tidy/ClangTidyForceLinker.h"`
Include dependency graph for ParsedAST.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Macros
#define | CLANG_TIDY_DISABLE_STATIC_ANALYZER_CHECKS

## Functions
void | clang::clangd::dumpAST (ParsedAST &AST, llvm::raw_ostream &OS)
| For testing/debugging purposes. More...
llvm::Optional< ParsedAST > | clang::clangd::buildAST (PathRef FileName, std::unique_ptr< CompilerInvocation > Invocation, llvm::ArrayRef< Diag > CompilerInvocationDiags, const ParseInputs &Inputs, std::shared_ptr< const PreambleData > Preamble)
| Build an AST from provided user inputs. More...

## Macro Definition Documentation

## ◆ CLANG_TIDY_DISABLE_STATIC_ANALYZER_CHECKS

#define CLANG_TIDY_DISABLE_STATIC_ANALYZER_CHECKS

Definition at line 54 of file ParsedAST.cpp.